logo
Ticket statusesList ticket statuses (read-only)

List ticket statuses (read-only)

Tenant custom statuses ordered by position (same data as in-app settings).

curl -X GET "/api/v1/ticket_statuses" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (API key (ixk_...))"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status_type": "open",
      "name": "John Doe",
      "color": "example_string",
      "position": 42,
      "is_default": true,
      "reminder_enabled": true,
      "remind_transition_status_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "meta": {
    "page": 25,
    "per_page": 25,
    "total": 42
  }
}
GET
/ticket_statuses
GET
Bearer Token (API key (ixk_...))
Bearer Tokenstring
Required

API key from Settings → API. Pass as Authorization: Bearer <key>

API key from Settings → API. Pass as Authorization: Bearer <key>
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (API key (ixk_...)). API key from Settings → API. Pass as Authorization: Bearer <key>

Responses

dataarray
metaobject